commit b0bb0a8d75295b7d36c5f0a979dea77adb307579
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Thu Jul 14 00:17:34 2022 +0000

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 1cfbda8124e..beeead03e21 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,12 @@
+2022-07-13  Martin Jambor  <mjambor@suse.cz>
+
+	Backported from master:
+	2022-07-04  Martin Jambor  <mjambor@suse.cz>
+
+	PR tree-optimization/105860
+	* tree-sra.c (build_reconstructed_reference): Start expr
+	traversal only just below the outermost union.
+
 2022-06-28  Release Manager
 
 	* GCC 10.4.0 released.
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index e8fa68bf91e..56754ca716d 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20220713
+20220714
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index c21639a2b06..5e031d964d9 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,12 @@
+2022-07-13  Martin Jambor  <mjambor@suse.cz>
+
+	Backported from master:
+	2022-07-04  Martin Jambor  <mjambor@suse.cz>
+
+	PR tree-optimization/105860
+	* gcc.dg/tree-ssa/alias-access-path-13.c: New test.
+	* gcc.dg/tree-ssa/pr105860.c: Likewise.
+
 2022-07-05  Iain Buclaw  <ibuclaw@gdcproject.org>
 
 	Backported from master:

